LINUX.ORG.RU

Обновление SIM до версии 0.9.4.2-pre1


0

0

Наверное все пользователи стабильной ветки SIM заметили, что в последние два дня клиент может лишь отправлять сообщения и принимает их только с сервера.

В связи с очередными изменениями icq-протокола вышла версия 0.9.4.2-pre1.

Скачать ее можно по ссылке, указанной ниже.

>>> Скачать

Re: Обновление SIM до версии 0.9.4.2-pre1

Что ещё раз доказывает, что Licq рулит.

birdie ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от anonymous

Re: Обновление SIM до версии 0.9.4.2-pre1

> Выглядит оно правда также отвратительно как и всё остальное

Выглядит очень красиво, красивее всего, что я видел. Из-за этого юзаю gajim даже забивая на некоторые глюки. Естет :-(

michwill ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от anonymous

Re: Обновление SIM до версии 0.9.4.2-pre1

>> А почему бы под Etch не использовать apt?

>Наверное, потому что его нет в репозитории

да ну? а почему у всех есть, а у ананизмуса нету? может он делает что-то не так? :)))

Cy6erBr4in ★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от ptarh

Re: Обновление SIM до версии 0.9.4.2-pre1

>если любите переливающиеся гламурные кнопочки a la mac, то да, не по пути :)

вот до тех пор, пока такое мнение имеет место быть в мире linux ("абы как слепить, лишь бы работала, это ничего, что потом на прогу смотреть страшно") большинство графических приложений будет неюзабельным, корявым и, порой, отталкивающим..

My_quest ★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от KRoN73

Re: Обновление SIM до версии 0.9.4.2-pre1

>sim - крив и так и не умеет muc

Давай выкинем слово "крив" как необоснованное заявление. Да, групповые чаты пока не умеет и не показывает, как кто-то печатает в jabber. Ну и хрен с ним пока что.

jackill ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от My_quest

Re: Обновление SIM до версии 0.9.4.2-pre1

>Кстати, никогда kopete не испытывал, хотя перепробовал много всяких - страшных и приятных.. Как он в сравнении с SIM и licq? Кириллицу может? На большее я уже не рассчитываю..

Жуть он в сравнении. Ни по настройкам, ни по интерфейсу не тянет пока что. Так еще и валится периодически.

jackill ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от AMDmi3

Re: Обновление SIM до версии 0.9.4.2-pre1

>Странно. Сколько они не изменяли свой протокол, centericq как работал, так и работает. Посему в переходе на jabber смысла не вижу; хотя, если перейду, тоже буду юзать centericq..

Ага. SIM тоже работал больше двух лет и вот его таки принакрыло.

Бывает.

jackill ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от anonymous

Re: Обновление SIM до версии 0.9.4.2-pre1

>Licq был бы просто замечательным когда его наконец-то "отполируют"

У licq вечные проблемы с автоопределением кодировок.

>SIM сейчас умеет всё что не надо, и не умеет всё что надо.

Типа?

А то я и в винде на нем сижу.

jackill ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от jia

Re: Обновление SIM до версии 0.9.4.2-pre1

>Как под линухом не знаю, но SIM под виндой глюкало страшное.

Я нашел под виндой два глюка:

1. Периодически что-то случается и нельзя передвинуть плавающее окно пользователя (точнее оно двигается, но аська фризится; помогает вывод менеджера задач).

2. При отправке длинных сообщений к некоторым пользователям валится.

jackill ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от jedy

Re: Обновление SIM до версии 0.9.4.2-pre1

>я чего то не понимаю, все эти симы,квипы и прочее, почему как АОЛ чютка меняет протокол они сразу отваливаются, почему gaim то не отваливается ?

gaim тоже отваливался.

Однако sim держался дольше.

Еще дольше держался мобильный клиент gsicq...

Видимо чем меньше расширений и ниже версия протокола, тем дольше держится.

jackill ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от jackill

Re: Обновление SIM до версии 0.9.4.2-pre1

>> Кстати, никогда kopete не испытывал, хотя перепробовал много всяких - страшных и приятных.. Как он в сравнении с SIM и licq? Кириллицу может? На большее я уже не рассчитываю..

> Жуть он в сравнении. Ни по настройкам, ни по интерфейсу не тянет пока что. Так еще и валится периодически.

Ну, понесся флеймвар!

P.S. Перечислите все претензии поименно ;-).

P.P.S. На примере 0.12.x (например, на тот, который в составе KDE-3.5.5).

AlexM ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от vadiml

Re: Обновление SIM до версии 0.9.4.2-pre1

>> Как под линухом не знаю, но SIM под виндой глюкало страшное.

> разработчики сидят под линуксом -> тестируется под виндой мало

false. Есть те что и под виндой...

shaplov ★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от StirliZ

Re: Обновление SIM до версии 0.9.4.2-pre1

> А починили глюк с отсутствием звука, при приеме сообщения от кипа?

В логах SVN такой патч пробегал. Наверное его даже в бакфикс релиз перенесли... Не помню...

shaplov ★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от anonymous

Re: Обновление SIM до версии 0.9.4.2-pre1

> Собираю сейчас эту штуку под Etch

> Больше 10 мегов всяких *dev* скачать пришлось, чтобы configure отработало

Собравши под Etch кинь в меня полученными пакетами... Или сразу в сеть и ссылку... А то у меня прямо сейчас на сборку времени нет...

shaplov ★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от My_quest

Re: Обновление SIM до версии 0.9.4.2-pre1

>Кстати, никогда kopete не испытывал, хотя перепробовал много всяких - страшных и приятных.. Как он в сравнении с SIM и licq? Кириллицу может? На большее я уже не рассчитываю..

Ну, как я ответил, среди всех перепробованных мультипротокольных зол - это меньшее. С кириллицей проблем практически нет (сейчас только в ICQ при общении с контактами, не внесёнными в контакт-лист до них русский не доходит (но принимается)). Главная претензия - тормозной интерфейс. Переключение табов на Celeron-1700 иногда до пары секунд длится. Обычно - около полусекунды. Долго...

KRoN73 ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от AMDmi3

Re: Обновление SIM до версии 0.9.4.2-pre1

>Сколько они не изменяли свой протокол, centericq как работал, так и работает.

Ты что-то не так делаешь :) Протокол пару раз корёжили очень капитально. Родные аськи старые и то уже давно не работаеют.

KRoN73 ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от mf_amber

Re: Обновление SIM до версии 0.9.4.2-pre1

>> gaim - чудовищное юзабилити, работать невозможно

>Интерфейс очень понятен и прост для понимания..

Ну-ка, ну-ка. Вот, постоянная проблема. Приходит запрос на авторизацию. Как посмотреть инфу того, кто запрашивает? Пока не добавишь - не посмотришь. Если это просто для понимания - то что, об стенку, что ли? :)

И ещё. У меня три ICQ-аккаунта, три Jabber, один MSN и пара IRC. Всего около 1600 контактов. Не знаю, где у Gaim'а сносит башню, но он: 1) регулярно пытается "синхронизировать" контакт-листы разных ICQ-аккаунтов. Один раз капитально "спалил" меня, занеся около сотни контактов на "тайный" аккаунт, который свечу только друзьям и знакомым. Писал уже с матом об этом тут, на ЛОРе несколько месяцев назад. 2) При каждом запуске выводится несколько сотен окошек с предложением запросить авторизацию у тех или иных юзверей. Естественно, мне это не нужно, минут 5 тратишь на пулемётную стрельбу мышиной кнопкой... После следующего запуска история повторяется.

В общем, у кого-то он, может, и хорошо работает, но у меня - идёт лесом. Как и из-за перечисленных глюков, так и из-за ктулхианской логики некоторых регулярных действий (как в случае упомянутой инфы о юзере при запросе авторизации, точнее - о невозможности её получения).

KRoN73 ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от jackill

Re: Обновление SIM до версии 0.9.4.2-pre1

>Давай выкинем слово "крив" как необоснованное заявление.

Вполне обоснованное. Не знаю, как уж там его интерфейс писан, но что под виндой, что под линем - всё "дёргается" и "ездит". Не навижу :D Я люблю, чтобы элементы интерфейса вели себя предсказуемо.

>Да, групповые чаты пока не умеет и не показывает, как кто-то печатает в jabber. Ну и хрен с ним пока что.

Ну, значит, тебе подходит. Мне - нет. Ибо MUC мне необходим.

KRoN73 ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от jackill

Re: Обновление SIM до версии 0.9.4.2-pre1

>Жуть он в сравнении. Ни по настройкам, ни по интерфейсу не тянет пока что.

Интерфейс у него - да, по-KDE-шному избыточен и пёстр. Но что в настройках kopete не хватает??

KRoN73 ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от anonymous

Re: Обновление SIM до версии 0.9.4.2-pre1

>А как насчет запускать QIP под линухом?

Это как? В wine, что ли? Тогда - не надо :) Интерфейс совершенно не в тему (а XP-темы в Wine совершенно, до неработоспособности тормозны), сглаживания мелких шрифтов нет и, вообще, подтормаживает...

KRoN73 ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от Cy6erBr4in

Re: Обновление SIM до версии 0.9.4.2-pre1

>>> А почему бы под Etch не использовать apt?

>> Наверное, потому что его нет в репозитории

> да ну? а почему у всех есть, а у ананизмуса нету? может он делает что-то не так? :)))

У тебя что ли есть? http://packages.debian.org/sim - здесь есть sim только под unstable, а мне нужен под Etch. К тому же здесь версия 0.9.4.1, то бишь без последних фиксов

По поводу сборки. Собраться-то оно собралось, только не работает: пишет в консоли, что якобы не может получить доступ к /usr/lib/sim, либо там нет плагинов. Но в этой папке вполне себе лежит куча файлов + права на чтение для всех есть (и для самой папки тоже).

Если будет не лень, может, ещё поразвлекаюсь собиранием.

anonymous ()

Re: Обновление SIM до версии 0.9.4.2-pre1

долго юзал sim. он меня доставал одним глюком - периодически выбивало группы контактов - часть оказывалась "not in list", а иногда часть вообще улетала нафиг. ну и краши на длинных сообщениях и периодические подвисания со 100% загрузкой проца. пользовался потому что хотел иметь одинаковый клиент дома под линуксом и на работе под виндой. хотя вообще сим, если бы не был таким глюкавым - отличный клиент по юзабилити.

окончательно задолбался когда слетел почти весь контакт лист и перешел на gaim. с нормальной гтк темой он выглядит вполне прилично. и работает вроде нормально.

rip_someday ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от My_quest

Re: Обновление SIM до версии 0.9.4.2-pre1

>("абы как слепить, лишь бы работала, это ничего, что потом на прогу смотреть страшно")

Вы же не думете, что переливающийся гламур аpple нравится всем? Gajim очень эстетично и строго выглядит, как и большинство gtk-приложений. Нравится стиль OS X - вам в OS X, нравится стиль винды - вам в винду, при чём здесь гном? У них свои представления об эстетике, меня они устраивают больше, чем все остальные и я не один такой.

ptarh ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от ptarh

Re: Обновление SIM до версии 0.9.4.2-pre1

> Вы же не думете, что переливающийся гламур аpple нравится всем?

А где он там есть, кстати? Да, всё как игрушечное (как и в KDE, только в кедах это уже доведено до полного маразма), но никакого гламура и переливов я там не заметил...

А "гламур" и переливы можно хоть в флюксбоксе сделать - достаточно посмотреть на скриншоты в соответствующем разделе на главной.

anonymous ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от KRoN73

Re: Обновление SIM до версии 0.9.4.2-pre1

>Ну, как я ответил, среди всех перепробованных мультипротокольных зол - это меньшее. С кириллицей проблем практически нет (сейчас только в ICQ при общении с контактами, не внесёнными в контакт-лист до них русский не доходит (но принимается)). Главная претензия - тормозной интерфейс. Переключение табов на Celeron-1700 иногда до пары секунд длится. Обычно - около полусекунды. Долго...

Юзаю только Kopete, проблем вышеназванных не видел (только с кодировкой недобавленных людей иногда сталкивался). Табы переключаются моментально :) правда, у меня в контакт-листе совсем немного людей :)

Ay49Mihas ★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от My_quest

Re: Обновление SIM до версии 0.9.4.2-pre1

> вот до тех пор, пока такое мнение имеет место быть в мире linux ("абы как слепить, лишь бы работала, это ничего, что потом на прогу смотреть страшно") большинство графических приложений будет неюзабельным, корявым и, порой, отталкивающим..

Ещё всё это напоминает бородатый анек - "извините, у нас сейчас нет в продаже туалетной бумаги, зато есть отличная наждачная"...

anonymous ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от gln0fate

Re: Обновление SIM до версии 0.9.4.2-pre1

> Раньше сидел на GAIM->Licq->Psi->Kopete->SIM Сейчас на симе...все нормально, только нет звука((

а Вы если пользуетесь arts (как большинство нормальных людей), уберите в настройках звука "использовать звуковые настройки KDE" и укажите какой программой проигрывать этот звук (у меня play)

vadiml ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от rip_someday

Re: Обновление SIM до версии 0.9.4.2-pre1

> хотя вообще сим, если бы не был таким глюкавым - отличный клиент по юзабилити.

хм, я им стал пользоваться с 2005 года (какой-то 0.9.4 svn), особых глюков в линуксе не наблюдалось, замечал их только у знакомых в винде, но у меня везде линукс

что действительно недоработано -- конференции в жабе

vadiml ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от Komintern

Re: Обновление SIM до версии 0.9.4.2-pre1

>но как в вайн поставить тему? хоть какую-нить? у меня венда есть, ее раздел замаунтил. что делать дальше?

Винда совсем не нужна. Нужен любой *.msstyles. Прямо на .wine/drive_c кидай и всё.

У меня так винда (обычная) в Clearlooks-теме стоит. Если б ещё и Wine в неё же... Ставится, но тормозит так, что работать невозможно в принципе. После нажатия на любой элемент управления, до его активации проходит секунд по 40. При чём, что на Celeron-1700, что на amd64-2200. Похоже, это у wine где-то в генах.

KRoN73 ★★★★★ ()

Re: Обновление SIM до версии 0.9.4.2-pre1

Кто ещё не знает, то 0.9.4.2 уже вышел. Вики бы на сайте обновить...

icesik ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от anonymous

Re: Обновление SIM до версии 0.9.4.2-pre1

>Да, всё как игрушечное (как и в KDE, только в кедах это уже доведено до полного маразма), но никакого гламура и переливов я там не заметил...

В KDE гуй не прибит ржавыми гвоздями. К тому же, Gajim к нему никакого отношения не имеет. Ну вот просто ни малейшего.

ptarh ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от gln0fate

Re: Обновление SIM до версии 0.9.4.2-pre1

> Раньше сидел на GAIM->Licq->Psi->Kopete->SIM Сейчас на симе...все нормально, только нет звука((

s/play/aplay/

и будет тебе пиликать, сам не рад будешь %)

arsi ★★★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от icesik

Re: Обновление SIM до версии 0.9.4.2-pre1

Спасибо, не знал что такой клиент есть, установил из пакета весьма успешно (etch amd64), с кастом гном темой выглядит весьма прилично и никаких проблем с кодировками пока не вижу, единственное - ругается на звук немного

Opik ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от geek

Re: Обновление SIM до версии 0.9.4.2-pre1

>это только у меня ассоциации с мышами и кактусами?

+1 Не у тебя одного :) Мыши плакали и кололись, но продолжали... плакать и колоться, как говорит одна моя знакомая :)

AsphyX ★★★ ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от KRoN73

Re: Обновление SIM до версии 0.9.4.2-pre1

> Это как? В wine, что ли? Тогда - не надо :) Интерфейс совершенно не в > тему (а XP-темы в Wine совершенно, до неработоспособности тормозны), > сглаживания мелких шрифтов нет и, вообще, подтормаживает...

А мне нравится... Несмотря на некоторые недостатки вполне вменяемое приложение.

anonymous ()

Re: Обновление SIM до версии 0.9.4.2-pre1

Хорошо бы, ещё и статическую сборку выкладывали, а то
не угонишься библиотеки обновлять, при сборке сплошные
варнинги и потом ошибка :(

fetch.cpp:1050: error: conversion from `QString' to non-scalar type `
std::string' requested
/usr/lib/qt/include/qmemarray.h: In member function `QMemArray<type>&
QMemArray<type>::duplicate(const type*, unsigned int) [with type = char]':
/usr/lib/qt/include/qcstring.h:252: instantiated from here
/usr/lib/qt/include/qmemarray.h:85: warning: cast from `const char*' to `char*'
discards qualifiers from pointer target type
/usr/lib/qt/include/qmemarray.h: In member function `int
QMemArray<type>::find(const type&, unsigned int) const [with type = char]':
/usr/lib/qt/include/qstring.h:897: instantiated from here
/usr/lib/qt/include/qmemarray.h:92: warning: cast from `const char*' to `char*'
discards qualifiers from pointer target type
make[3]: *** [fetch.lo] Ошибка 1
make[3]: Leaving directory `/home/han/Download/sim-0.9.4.2/sim'
make[2]: *** [all-recursive] Ошибка 1
make[2]: Leaving directory `/home/han/Download/sim-0.9.4.2/sim'
make[1]: *** [all-recursive] Ошибка 1
make[1]: Leaving directory `/home/han/Download/sim-0.9.4.2'
make: *** [all] Ошибка 2

anonymous ()

Re: Обновление SIM до версии 0.9.4.2-pre1

Я все лето на даче вполне успешно использовал RnQ, запуская через wine. Возможностей выше крыши. А вот qip через wine у меня жутко глючил.

anonymous ()
Ответ на: Re: Обновление SIM до версии 0.9.4.2-pre1 от anonymous

Re: Обновление SIM до версии 0.9.4.2-pre1

>Я все лето на даче вполне успешно использовал RnQ, запуская через wine. Возможностей выше крыши. А вот qip через wine у меня жутко глючил.

Может лучше венду через wine запускать и из-под нее работать? Мсье точно извращенец...

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.